/*
  -------------------------------------------------------------------
  
  Copyright (C) 2006, 2007, 2008, 2009, Andrew W. Steiner
  
  This file is part of O2scl.
  
  O2scl is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 3 of the License, or
  (at your option) any later version.
  
  O2scl is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with O2scl. If not, see <http://www.gnu.org/licenses/>.

  -------------------------------------------------------------------
*/
/* math2c
   Destination: nonrel_fermion.cpp
   (* For convenience *)
   pi=ArcCos[-1.0]
   (* --------------------------------------------------------*)
   m=5.0
   mu=5.1
   T=0.01
   dist=1/(1+Exp[x^2*m/2/T-(mu-m)/T])
   t1=NIntegrate[x^2*m^3*dist/pi/pi,{x,0,10.0}]
   Reference: den1 t1
   t2=NIntegrate[x^4*m^4/2*dist/pi/pi,{x,0,10.0}]+t1*m
   Reference: ed1 t2
   t3=NIntegrate[-x^2*m^3/pi/pi*(dist*Log[dist]+\
   (1.0-dist)*Log[1.0-dist]),{x,0,10.0}]
   Reference: en1 t3
   t4=-t2+t3*T+t1*mu
   Reference: pr1 t4
   (* --------------------------------------------------------*)
   m=5.0
   mu=5.1
   T=0.1
   dist=1/(1+Exp[x^2*m/2/T-(mu-m)/T])
   t1=NIntegrate[x^2*m^3*dist/pi/pi,{x,0,10.0}]
   Reference: den2 t1
   t2=NIntegrate[x^4*m^4/2*dist/pi/pi,{x,0,10.0}]+t1*m
   Reference: ed2 t2
   t3=NIntegrate[-x^2*m^3/pi/pi*(dist*Log[dist]+\
   (1.0-dist)*Log[1.0-dist]),{x,0,10.0}]
   Reference: en2 t3
   t4=-t2+t3*T+t1*mu
   Reference: pr2 t4
   (* --------------------------------------------------------*)
   m=5.0
   mu=5.1
   T=1.0
   dist=1/(1+Exp[x^2*m/2/T-(mu-m)/T])
   t1=NIntegrate[x^2*m^3*dist/pi/pi,{x,0,10.0}]
   Reference: den3 t1
   t2=NIntegrate[x^4*m^4/2*dist/pi/pi,{x,0,10.0}]+t1*m
   Reference: ed3 t2
   t3=NIntegrate[-x^2*m^3/pi/pi*(dist*Log[dist]+	\
   (1.0-dist)*Log[1.0-dist]),{x,0,10.0}]
   Reference: en3 t3
   t4=-t2+t3*T+t1*mu
   Reference: pr3 t4
   (* --------------------------------------------------------*)
   m=5.0
   mu=6.0
   T=0.05
   dist=1/(1+Exp[x^2*m/2/T-(mu-m)/T])
   t1=NIntegrate[x^2*m^3*dist/pi/pi,{x,0,10.0}]
   Reference: den4 t1
   t2=NIntegrate[x^4*m^4/2*dist/pi/pi,{x,0,10.0}]+t1*m
   Reference: ed4 t2
   t3=NIntegrate[-x^2*m^3/pi/pi*(dist*Log[dist]+	\
   (1.0-dist)*Log[1.0-dist]),{x,0,10.0}]
   Reference: en4 t3
   t4=-t2+t3*T+t1*mu
   Reference: pr4 t4
   (* --------------------------------------------------------*)
   m=5.0
   mu=6.0
   T=0.1
   dist=1/(1+Exp[x^2*m/2/T-(mu-m)/T])
   t1=NIntegrate[x^2*m^3*dist/pi/pi,{x,0,10.0}]
   Reference: den5 t1
   t2=NIntegrate[x^4*m^4/2*dist/pi/pi,{x,0,10.0}]+t1*m
   Reference: ed5 t2
   t3=NIntegrate[-x^2*m^3/pi/pi*(dist*Log[dist]+	\
   (1.0-dist)*Log[1.0-dist]),{x,0,10.0}]
   Reference: en5 t3
   t4=-t2+t3*T+t1*mu
   Reference: pr5 t4
   (* --------------------------------------------------------*)
   m=5.0
   mu=6.0
   T=1.0
   dist=1/(1+Exp[x^2*m/2/T-(mu-m)/T])
   t1=NIntegrate[x^2*m^3*dist/pi/pi,{x,0,10.0}]
   Reference: den6 t1
   t2=NIntegrate[x^4*m^4/2*dist/pi/pi,{x,0,10.0}]+t1*m
   Reference: ed6 t2
   t3=NIntegrate[-x^2*m^3/pi/pi*(dist*Log[dist]+	\
   (1.0-dist)*Log[1.0-dist]),{x,0,10.0}]
   Reference: en6 t3
   t4=-t2+t3*T+t1*mu
   Reference: pr6 t4

*/
